HDF: hdf/util/he_proto.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
he_proto.h File Reference

## Functions
int | HEalias (HE_CMD *cmd)
int | HEannotate (HE_CMD *cmd)
int | HEclose (HE_CMD *cmd)
int | HEdelete (HE_CMD *cmd)
int | HEdisplay (HE_CMD *cmd)
int | HEdump (HE_CMD *cmd)
int | HEgetR8 (HE_CMD *cmd)
int | HEhelp (HE_CMD *cmd)
int | HEif (HE_CMD *cmd)
int | HEinfo (HE_CMD *cmd)
int | HEnext (HE_CMD *cmd)
int | HEopen (HE_CMD *cmd)
int | HEprev (HE_CMD *cmd)
int | HEput (HE_CMD *cmd)
int | HEputR8 (HE_CMD *cmd)
int | HEquit (HE_CMD *cmd)
int | HErevert (HE_CMD *cmd)
int | HEselect (HE_CMD *cmd)
int | HEunalias (HE_CMD *cmd)
int | HEwait (HE_CMD *cmd)
int | HEwrite (HE_CMD *cmd)
int | annotate (const char *editor, int ann)
int | backupFile (char *file)
char * | backupName (const char *file)
int | bigImg (unsigned char *targ, unsigned char *src)
char * | catStr (const char *s1, const char *s2)
int | closeFile (int keep)
void | cmdLoop (void)
void | convertTemplate (char *template, int n1, int n2, int n3, char **pname)
int | copyFile (char *from, char *to)
char * | copyStr (char *str)
int | delete (int curr)
void | deleteCmd (HE_CMD *cmd)
int | deleteDesc (int desc)
int | desc2Grp (int desc)
int | display (int c, int x, int y, int f, int l)
int | HEIdump (int32 length, int offset, char *format, int raw)
int | fileOpen (void)
void | fillTemplate (char **template, char **pout, char *s, char templateChar)
HE_CMD * | findAlias (char *str)
int | findDesc (tag_ref_ptr dd)
HE_FUNC | findFunc (char *word)
int | findKey (char *word)
int | findOpt (char *word)
int32 | getAnn (int ann, uint16 tag, uint16 ref, char **pBuf)
HE_CMD * | getCmd (void)
int | getCurrRig (int32 *pXdim, int32 *pYdim, char **pPalette, char **pRaster)
int32 | getElement (int desc, char **pdata)
int | getLine (char *)
int | getNewRef (char *file, uint16 *pRef)
int | getPix (void)
int | getR8 (int xdim, int ydim, char *image, char *pal, int compress)
int | getSpace (void)
int | getTmpName (char **pname)
void | goTo (int desc)
int | hasReference (int desc)
void | help (void)
int | info (int all, int longout, int group, int label)
void | infoDesc (int desc, int longout, int label)
int | initFile (char *file)
int | isGrp (uint16 tag)
int | isNumber (char *s)
int | largeSet (void)
int | main (int argc, char *argv[])
HE_CMD * | mkDupCmd (HE_CMD *cmd)
char * | nextToken (char **p)
char * | nextWord (char **p)
int | numCompare (int n1, int Comp, int n2)
int | od (char *format, char *file)
int | openFile (char *file, int backup)
HE_CMD * | parse (void)
HE_CMD * | parseCmd (char **p)
HE_PRED * | parsePred (int argc, char *argv[])
int | pixImage (int usepal)
void | printAlias (char *word, HE_CMD *cmd)
void | prompt (void)
int | put (const char *template, int verbose)
int | putAnn (int ann, uint16 tag, uint16 ref, char *buf, int32 len)
int | putElement (char *file, uint16 tag, uint16 ref, char *data, int32 len)
int | putR8 (const char *image, const char *pal, int verbose)
int | putWithTempl (const char *template, int n1, int n2, int n3, char *data, int length, int verbose)
int | quit (int status)
int | rImage (int usepal)
int32 | readFromFile (char *file, char **pBuf)
int | recurseDel (int curr)
int | removeFile (char *file)
int | resetPred (void)
int | revert (void)
int | rleIt (char *buf, char *bufto, int len)
int | satPred (DFdesc *desc, HE_PRED pred[])
int | setAlias (char *str, HE_CMD *cmd)
int | setPal (char *pal)
int | updateDesc (void)
int | writ (char *file, uint16 tag, uint16 ref)
int | writeAnnot (char *file, uint16 tag, uint16 ref)
int | writeElt (char *file, uint16 ref, int elt)
int | writeGrp (char *file)
int | writeToFile (char *file, char *data, int32 length)

## Function Documentation

## ◆ annotate()

int annotate | ( | const char * | editor,
|  | int | ann )

## ◆ backupFile()

int backupFile | ( | char * | file | ) |

## ◆ backupName()

char * backupName | ( | const char * | file | ) |

## ◆ bigImg()

int bigImg | ( | unsigned char * | targ,
|  | unsigned char * | src )

## ◆ catStr()

char * catStr | ( | const char * | s1,
|  | const char * | s2 )

## ◆ closeFile()

int closeFile | ( | int | keep | ) |

## ◆ cmdLoop()

void cmdLoop | ( | void |  | ) |

## ◆ convertTemplate()

void convertTemplate | ( | char * | template,
|  | int | n1,
|  | int | n2,
|  | int | n3,
|  | char ** | pname )

## ◆ copyFile()

int copyFile | ( | char * | from,
|  | char * | to )

## ◆ copyStr()

char * copyStr | ( | char * | str | ) |

## ◆ delete()

int delete | ( | int | curr | ) |

## ◆ deleteCmd()

void deleteCmd | ( | HE_CMD * | cmd | ) |

## ◆ deleteDesc()

int deleteDesc | ( | int | desc | ) |

## ◆ desc2Grp()

int desc2Grp | ( | int | desc | ) |

## ◆ display()

int display | ( | int | c,
|  | int | x,
|  | int | y,
|  | int | f,
|  | int | l )

## ◆ fileOpen()

int fileOpen | ( | void |  | ) |

## ◆ fillTemplate()

void fillTemplate | ( | char ** | template,
|  | char ** | pout,
|  | char * | s,
|  | char | templateChar )

## ◆ findAlias()

HE_CMD * findAlias | ( | char * | str | ) |

## ◆ findDesc()

int findDesc | ( | tag_ref_ptr | dd | ) |

## ◆ findFunc()

HE_FUNC findFunc | ( | char * | word | ) |

## ◆ findKey()

int findKey | ( | char * | word | ) |

## ◆ findOpt()

int findOpt | ( | char * | word | ) |

## ◆ getAnn()

int32 getAnn | ( | int | ann,
|  | uint16 | tag,
|  | uint16 | ref,
|  | char ** | pBuf )

## ◆ getCmd()

HE_CMD * getCmd | ( | void |  | ) |

## ◆ getCurrRig()

int getCurrRig | ( | int32 * | pXdim,
|  | int32 * | pYdim,
|  | char ** | pPalette,
|  | char ** | pRaster )

## ◆ getElement()

int32 getElement | ( | int | desc,
|  | char ** | pdata )

## ◆ getLine()

int getLine | ( | char * |  | ) |

## ◆ getNewRef()

int getNewRef | ( | char * | file,
|  | uint16 * | pRef )

## ◆ getPix()

int getPix | ( | void |  | ) |

## ◆ getR8()

int getR8 | ( | int | xdim,
|  | int | ydim,
|  | char * | image,
|  | char * | pal,
|  | int | compress )

## ◆ getSpace()

int getSpace | ( | void |  | ) |

## ◆ getTmpName()

int getTmpName | ( | char ** | pname | ) |

## ◆ goTo()

void goTo | ( | int | desc | ) |

## ◆ hasReference()

int hasReference | ( | int | desc | ) |

## ◆ HEalias()

int HEalias | ( | HE_CMD * | cmd | ) |

## ◆ HEannotate()

int HEannotate | ( | HE_CMD * | cmd | ) |

## ◆ HEclose()

int HEclose | ( | HE_CMD * | cmd | ) |

## ◆ HEdelete()

int HEdelete | ( | HE_CMD * | cmd | ) |

## ◆ HEdisplay()

int HEdisplay | ( | HE_CMD * | cmd | ) |

## ◆ HEdump()

int HEdump | ( | HE_CMD * | cmd | ) |

## ◆ HEgetR8()

int HEgetR8 | ( | HE_CMD * | cmd | ) |

## ◆ HEhelp()

int HEhelp | ( | HE_CMD * | cmd | ) |

## ◆ HEIdump()

int HEIdump | ( | int32 | length,
|  | int | offset,
|  | char * | format,
|  | int | raw )

## ◆ HEif()

int HEif | ( | HE_CMD * | cmd | ) |

## ◆ HEinfo()

int HEinfo | ( | HE_CMD * | cmd | ) |

## ◆ help()

void help | ( | void |  | ) |

## ◆ HEnext()

int HEnext | ( | HE_CMD * | cmd | ) |

## ◆ HEopen()

int HEopen | ( | HE_CMD * | cmd | ) |

## ◆ HEprev()

int HEprev | ( | HE_CMD * | cmd | ) |

## ◆ HEput()

int HEput | ( | HE_CMD * | cmd | ) |

## ◆ HEputR8()

int HEputR8 | ( | HE_CMD * | cmd | ) |

## ◆ HEquit()

int HEquit | ( | HE_CMD * | cmd | ) |

## ◆ HErevert()

int HErevert | ( | HE_CMD * | cmd | ) |

## ◆ HEselect()

int HEselect | ( | HE_CMD * | cmd | ) |

## ◆ HEunalias()

int HEunalias | ( | HE_CMD * | cmd | ) |

## ◆ HEwait()

int HEwait | ( | HE_CMD * | cmd | ) |

## ◆ HEwrite()

int HEwrite | ( | HE_CMD * | cmd | ) |

## ◆ info()

int info | ( | int | all,
|  | int | longout,
|  | int | group,
|  | int | label )

## ◆ infoDesc()

void infoDesc | ( | int | desc,
|  | int | longout,
|  | int | label )

## ◆ initFile()

int initFile | ( | char * | file | ) |

## ◆ isGrp()

int isGrp | ( | uint16 | tag | ) |

## ◆ isNumber()

int isNumber | ( | char * | s | ) |

## ◆ largeSet()

int largeSet | ( | void |  | ) |

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

## ◆ mkDupCmd()

HE_CMD * mkDupCmd | ( | HE_CMD * | cmd | ) |

## ◆ nextToken()

char * nextToken | ( | char ** | p | ) |

## ◆ nextWord()

char * nextWord | ( | char ** | p | ) |

## ◆ numCompare()

int numCompare | ( | int | n1,
|  | int | Comp,
|  | int | n2 )

## ◆ od()

int od | ( | char * | format,
|  | char * | file )

## ◆ openFile()

int openFile | ( | char * | file,
|  | int | backup )

## ◆ parse()

HE_CMD * parse | ( | void |  | ) |

## ◆ parseCmd()

HE_CMD * parseCmd | ( | char ** | p | ) |

## ◆ parsePred()

HE_PRED * parsePred | ( | int | argc,
|  | char * | argv[] )

## ◆ pixImage()

int pixImage | ( | int | usepal | ) |

## ◆ printAlias()

void printAlias | ( | char * | word,
|  | HE_CMD * | cmd )

## ◆ prompt()

void prompt | ( | void |  | ) |

## ◆ put()

int put | ( | const char * | template,
|  | int | verbose )

## ◆ putAnn()

int putAnn | ( | int | ann,
|  | uint16 | tag,
|  | uint16 | ref,
|  | char * | buf,
|  | int32 | len )

## ◆ putElement()

int putElement | ( | char * | file,
|  | uint16 | tag,
|  | uint16 | ref,
|  | char * | data,
|  | int32 | len )

## ◆ putR8()

int putR8 | ( | const char * | image,
|  | const char * | pal,
|  | int | verbose )

## ◆ putWithTempl()

int putWithTempl | ( | const char * | template,
|  | int | n1,
|  | int | n2,
|  | int | n3,
|  | char * | data,
|  | int | length,
|  | int | verbose )

## ◆ quit()

int quit | ( | int | status | ) |

## ◆ readFromFile()

int32 readFromFile | ( | char * | file,
|  | char ** | pBuf )

## ◆ recurseDel()

int recurseDel | ( | int | curr | ) |

## ◆ removeFile()

int removeFile | ( | char * | file | ) |

## ◆ resetPred()

int resetPred | ( | void |  | ) |

## ◆ revert()

int revert | ( | void |  | ) |

## ◆ rImage()

int rImage | ( | int | usepal | ) |

## ◆ rleIt()

int rleIt | ( | char * | buf,
|  | char * | bufto,
|  | int | len )

## ◆ satPred()

int satPred | ( | DFdesc * | desc,
|  | HE_PRED | pred[] )

## ◆ setAlias()

int setAlias | ( | char * | str,
|  | HE_CMD * | cmd )

## ◆ setPal()

int setPal | ( | char * | pal | ) |

## ◆ updateDesc()

int updateDesc | ( | void |  | ) |

## ◆ writ()

int writ | ( | char * | file,
|  | uint16 | tag,
|  | uint16 | ref )

## ◆ writeAnnot()

int writeAnnot | ( | char * | file,
|  | uint16 | tag,
|  | uint16 | ref )

## ◆ writeElt()

int writeElt | ( | char * | file,
|  | uint16 | ref,
|  | int | elt )

## ◆ writeGrp()

int writeGrp | ( | char * | file | ) |

## ◆ writeToFile()

int writeToFile | ( | char * | file,
|  | char * | data,
|  | int32 | length )